Compiling PHP 5.2.3 fails

Installing, Configuring, Troubleshooting server daemons such as Web and Mail
RemiFedora
Posts: 19
Joined: 2007/05/10 17:13:40
Location: Champagne...
Contact:

Re: Compiling PHP 5.2.3 fails

Post by RemiFedora » 2007/07/25 06:46:26

[quote]For some reason my installation of apache (default off of cd for Centos 5) would not see the php off of your packages. [/quote]

Can you tell me more about this ?

Of course my RPM have been tested (under CentOS 5 with full updates).

What extension have you installed ?
[code]rpm -qa php\*[/code]

Searching for a missing dependancy, what is a result of a
[code]ldd /usr/lib/httpd/modules/libphp5.so[/code]

Is there any message in /var/log/httpd/error_log when restarting apache with "my" php build installed

Remi.

johnmaag
Posts: 6
Joined: 2007/07/16 18:51:42

Re: Compiling PHP 5.2.3 fails

Post by johnmaag » 2007/07/27 03:17:26

Remi, can you explain the contents of the packages php-common, php, and php-mysql?

Now that I have copmpiled php and installed it I want to ad dback mysql support but nto sure how plus I would like to understand the package hierarchy.

RemiFedora
Posts: 19
Joined: 2007/05/10 17:13:40
Location: Champagne...
Contact:

Re: Compiling PHP 5.2.3 fails

Post by RemiFedora » 2007/07/27 05:52:42

This split solution is a Redhat/Fedora choice.

[b]php-common[/b] contains "common" stuff, some directories and extensions which have no dependencies (zip, dbase...). And php.ini

[b]php[/b] is the apache module

[b]php-cli[/b] is the command line tools (php and php-cgi)

[b]php-mysql[/b] is the mysql extension (built separatly, not like in your "configure")

[b]php-pdo[/b] is the new database abstraction layer (which is required by previous).

Remi.

P.S. please try to get some time to test my RPM once more (answer to poste #11).

Building / installing from sources is really a bad choice on a RPM distribution. You are going to break the system consistency (all files registered in the rpm database, automatic updates, ...). When you want/need to build your own software, you must use --prefix=/usr/local (or /opt) to conform with [url=http://www.pathname.com/fhs/]FHS[/url]

johnmaag
Posts: 6
Joined: 2007/07/16 18:51:42

Re: Compiling PHP 5.2.3 fails

Post by johnmaag » 2007/07/27 06:54:41

ok, let's start here. How come it didn't figure out it needed other packages?

[root@server yum.repos.d]# yum --enablerepo=remi install php-oci8
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
remi 100% |=========================| 951 B 00:00
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 21 kB 00:00
remi : ################################################## 65/65
Added 65 new packages, deleted 0 old in 0.19 seconds
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for php-oci8 to pack into transaction set.
php-oci8-5.2.3-2.fc5.remi 100% |=========================| 15 kB 00:00
---> Package php-oci8.i386 0:5.2.3-2.fc5.remi set to be updated
--> Running transaction check
--> Processing Dependency: php-pdo for package: php-oci8
--> Processing Dependency: php-common = 5.2.3-2.fc5.remi for package: php-oci8
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for php-pdo to pack into transaction set.
php-pdo-5.2.3-2.fc5.remi. 100% |=========================| 16 kB 00:00
---> Package php-pdo.i386 0:5.2.3-2.fc5.remi set to be updated
---> Downloading header for php-common to pack into transaction set.
php-common-5.2.3-2.fc5.re 100% |=========================| 19 kB 00:00
---> Package php-common.i386 0:5.2.3-2.fc5.remi set to be updated
--> Running transaction check
--> Processing Dependency: libsqlite.so.0 for package: php-pdo
--> Finished Dependency Resolution
Error: Missing Dependency: libsqlite.so.0 is needed by package php-pdo
[root@server yum.repos.d]# yum install php-oci8
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do

RemiFedora
Posts: 19
Joined: 2007/05/10 17:13:40
Location: Champagne...
Contact:

Re: Compiling PHP 5.2.3 fails

Post by RemiFedora » 2007/07/27 07:03:00

It seems you are using Fedora Core 5 ?

libsqlite.so.0 is provided by sqlite2 available in official Fedora Extras repository.

http://download.fedora.redhat.com/pub/fedora/linux/extras/5/i386/sqlite2-2.8.17-1.fc5.i386.rpm

Regards

johnmaag
Posts: 6
Joined: 2007/07/16 18:51:42

Re: Compiling PHP 5.2.3 fails

Post by johnmaag » 2007/07/27 07:11:11

No, Centos 5

Is there a way for me to email you or yahoo you?

RemiFedora
Posts: 19
Joined: 2007/05/10 17:13:40
Location: Champagne...
Contact:

Re: Compiling PHP 5.2.3 fails

Post by RemiFedora » 2007/07/27 14:00:58

Ok, so you don't use the good configuration file for my repo (you use the one for Fedora).

Use : http://remi.collet.free.fr/rpms/remi-enterprise.repo

Or, better, install : http://remi.collet.free.fr/rpms/el5.i386/remi-release-5-2.el5.remi.noarch.rpm

sqlite2 is available from my EL5 repository (rebuild from Fedora Extras SRPM)

Yes you can contact me by mail, but i will be away for 2 weeks.

Remi.

johnmaag
Posts: 6
Joined: 2007/07/16 18:51:42

Re: Compiling PHP 5.2.3 fails

Post by johnmaag » 2007/07/27 21:37:37

the repo fixed some things and I installed the packages but my system still does not see it.

RemiFedora
Posts: 19
Joined: 2007/05/10 17:13:40
Location: Champagne...
Contact:

Re: Compiling PHP 5.2.3 fails

Post by RemiFedora » 2007/07/28 06:25:09

[quote]...still does not see it.[/quote]

What do you mean ?
(re)read post # 11.

Remi

Post Reply

Return to “CentOS 5 - Server Support”